Unable to initialize the encoder

  • Hello. I don't know if this is the correct section to post this because this might not be an actual bug and it could be a problem on my end.


    The problem is that I cannot use any version of voukoder that is newer than 1.2.3 (which is the last version before version 2).


    Every combination of video encoders or other settings result into this error: https://i.imgur.com/w6OhR9j.png


    And when I check the error log i see this error for all the encoders: "Unable to initialize the encoder." I have attached the log for you to see.


    I have tried almost all versions after 1.2.3 but without success. What could be the issue?


    Thank you.

  • This looks strange. The only obvious thing is that you don't have much RAM available. Do you have any chance to try this on a different machine (with more ram)?

    Stay up-to-date and follow me on Twitter. Tell me your feedback.


    Help to improve this plugin and support me on patreon. Thank you.

  • This looks strange. The only obvious thing is that you don't have much RAM available. Do you have any chance to try this on a different machine (with more ram)?

    Unfortunately I cannot since I do not own another machine. I don't think that RAM could be the problem, since my RAM usage is pretty good to be honest, as you can see in this image: https://i.imgur.com/R6kvNpw.png


    At this point I do not know what could be the issue. Is voukoder dependent on any windows component or setting? I am asking because I have removed some components and customized some settings. I have attached a text files with all the components that are missing from my computer in case you might want to take a look. What bothers me though, is that all versions prior to 2.0.0-beta 1 work perfectly.


    P.S. I had a typo in my first post. I meant version 1.2.3 not 1.3.2.

  • Okay I will send you a custom voukoder version that produces a special logfile. To actually see the logfile generation you need a tool called WinDbg.exe. This is also included in the zip file.


    Instructions:


    1. Close all programs and unzip the ZIP file

    2. Copy VoukoderR2.prm to C:\Program Files\Adobe\Common\Plug-ins\7.0\MediaCore

    3. Start WinDbg.exe

    4. In WinDbg select "File" > "Open executable"

    5. Select "C:\Program Files\Adobe\Adobe Premiere Pro CC 2019\Adobe Premiere Pro.exe"

    6. Premiere now gets started and additional logging appears in WinDbg

    7. Now reproduce the error with both X264 and NVENC_H264

    8. Save the WinDbg logfile and send it to me / forum.

    9. Close all programs

    Stay up-to-date and follow me on Twitter. Tell me your feedback.


    Help to improve this plugin and support me on patreon. Thank you.

  • Thanks for taking the time to reply. I have placed the custom version of voukoder that you have sent me in "C:\Program Files\Adobe\Common\Plug-ins\7.0\MediaCore" but for some reason it does not appear as an option in export settings of premiere, as you can see in this image: https://i.imgur.com/rIPakek.png


    I have also tried placing it in "Adobe Premiere Pro CC 2019\Plug-Ins\Common" but it is still not detected.

  • The last file that you sent me (voukoder-log.zip) works perfect and does not give me any errors, so I couldn't debug the error with WinDBG. All videos are rendered successfully.


    By the way, I redownloaded your release version from github just to see what error pops up in WinDBG and I have attached the log file here. I am not sure if your release version can give you the information you need in WinDBG, but I thought I should give it a try.


    P.S. There is a line in the logfile that mentions something about this location "File: D:\PPro13.1\releases\shared\adobe\MediaCore\MediaLayer\ExporterHost\Src\ExporterPluginModule.cpp". I have no idea why, but the folder "PPro13.1" does not exist on my "D" drive.

  • Vouk

    Added the Label Fixed
  • Vouk

    Added the Label 2.0.9